Description

Currently, most people use a single h1. in the first line of a wiki page for the title. This is even integrated in most themes (like the

default on on r.o) such that the contextual stuff is floated right of the assumed short header.

However, this practice is flawed as it prevents a usable inclusion of whole pages and leads to unnecessarily deep nesting of

headings (see #5494). Thus, I propose to add a real title field to wiki pages to replace the top most h1.. This could even be coupled

with the name of the wiki page to ease usage.

History

#1 - 2010-11-11 10:05 - Xiwen Cheng

I'm not sure if I understood your proposal correctly. But wouldn't this also be solved if a heading can be excluded from TOC generation? For instance,

omit headings of the form 

h1!, h2!, h3!, etc...

 The exclamation mark deliberately replaces the dot such that existing pages does not break, thus backward-compatible. This has no impact on

existing content/pages and themes. The wiki system will have to be extended slightly such that h1! is seen as an alias for h1. and the TOC generation

can remain untouched as it will skip h1! anyway.

#2 - 2011-04-04 14:09 - Ebrahim Mohammadi

This feature would be extremely useful, specially when used with alternative text editors such as redmine_ckeditor plugin which works with HTML.

#3 - 2011-11-30 16:35 - Hugues De Keyzer

I’m also in favor of this. I think it is strange that the title of a wiki page is part of its content (first h1. line). A wiki page has thus two titles:

1. The page’s name, that is used as the page’s title (HTML <title>) and also shown above the text editor when editing a page. This value is also

used as the page’s URL, and some characters can not be used in it. Because of this, a page called “Version 1.0” will be displayed as “Version

10”.

2. The h1. title on the first line of the page’s content.

Moreover, it would be useful to be allow to use the period (dot, point) character in wiki page’s names and URLs, to be able to distinguish pages called

“Version 1.2.34 release notes” and “Version 1.23.4 release notes”. If periods cause problems in URLs, they could possibly be replaced by

underscores, for example, but not simply removed like they are now.

#4 - 2011-12-05 00:03 - Mischa The Evil

- Subject changed from Add a real title field wiki pages to Add a real title field for wiki pages

#5 - 2011-12-08 12:08 - Tomasz Sawicki

+1
